Create site with VS extension

Vote:
 

I just tried creating a site with the new VS extension. It worked fine for a CMS site but when I'm trying to add EPiServer.Commerce I get a dependency error.

- What is the correct way to setup a commerce frontend site using the VS extension?

- Are you planning on moving the installation of the Commerce Manager site to NuGet also?

Attempting to resolve dependency 'EPiServer.Framework (≥ 7.5.1000 && < 7.6)'.
Updating 'EPiServer.Framework 7.6.3' to 'EPiServer.Framework 7.5.1000.0' failed. Unable to find a version of 'EPiServer.CMS.Core' that is compatible with 'EPiServer.Framework 7.5.1000.0'.

#84370
Apr 01, 2014 11:01
Vote:
 

Are you installing Commerce via VS Extensions or via Deployment Center?

#84531
Apr 02, 2014 22:36
Vote:
 

We get the same error trying to update to latest commerce thru NuGet... Kinda stuck there...

Upgrading to latest straight from 7.5 RTM.

#84536
Edited, Apr 03, 2014 9:20
Vote:
 

Valdis; As I wrote in the first post, I've setup a site using the new VS extension, and get that error when adding commerce to the project (using NuGet).

#84537
Apr 03, 2014 9:35
Vote:
 

See screenshot from the error here: http://i.imgur.com/kfQEM9k.png

Min requirements for EPiServer.Cms.Core is 7.5.1003.0, while the error says it's trying to use 7.5.1000.0...

#84539
Apr 03, 2014 9:55
Vote:
 

Ok, sorry - I got it fianlly :)

One of the workaround is to tell NuGet to choose highest available version for the dependency.

Create nuget.config file in your project root direcotry:

<configuration>
  <config>
    <add key="DependencyVersion" value="Highest" />
  </config>
</configuration>

    

#84544
Apr 03, 2014 10:20
Vote:
 

Great! Works now. Thanks! It's important that nuget.config is placed in the root, e.g. the solution directory. We first placed it in the web project but it needs to go one level up.

#84547
Apr 03, 2014 10:41
Vote:
 

Thanks Valdis, your suggested fix works like a charm.

#84548
Apr 03, 2014 10:54
This topic was created over six months ago and has been resolved. If you have a similar question, please create a new topic and refer to this one.
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.